Did Something Change/Break w/1.3.14 & Proxies?

General support for problems installing or using Deluge
HtomSirveaux
New User
New User
Posts: 4
Joined: Wed Mar 08, 2017 2:07 pm
OS or Distro: Ubuntu

Did Something Change/Break w/1.3.14 & Proxies?

Postby HtomSirveaux » Wed Mar 08, 2017 2:25 pm

I'm running headless as a service on Ubuntu 16.04 with clients on Windows 10 and OSX.

Since the daemon-side update to 1.3.14, something seems to have changed with proxy config. The only type of proxy that will change/save is Peer. Web Seed, Tracker, and DHT are all blank and stay blank. If I make a change to Peer it does update core.conf and the change does appear effective so I don't believe it's anything screwy with permissions to the conf files. However no matter what I choose/enter for the other types, those entries in core.conf stay empty. I even killed the daemon, manually updated core.conf to duplicate Peer's config to the other types, but when I started the daemon backup the settings reverted.

I've rolled the Ubuntu side back to 1.3.12 and left the clients on 1.3.14 and everything appears to be working normally again. I don't believe it matters, but the type were all Socks5 W/ Auth.

Cas
Top Bloke
Top Bloke
Posts: 3463
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Did Something Change/Break w/1.3.14 & Proxies?

Postby Cas » Wed Mar 08, 2017 4:58 pm

For latest libtorrent there is only one proxy so yes it is intentional as it fixed an issue that silently disabled the proxy. There is a ticket in 1.3.14 milestone about it.

HtomSirveaux
New User
New User
Posts: 4
Joined: Wed Mar 08, 2017 2:07 pm
OS or Distro: Ubuntu

Re: Did Something Change/Break w/1.3.14 & Proxies?

Postby HtomSirveaux » Wed Mar 08, 2017 5:20 pm

I checked the milestone and didn't see any mention of proxies at all, sorry.

So you're saying that on 1.3.14 it's safe to disregard the empty options for the other proxies, and that as long as Peer is set properly that all traffic should be properly proxied?

Also, you say "latest libtorrent." When I do deluge --version post upgrade, I get

Code: Select all

deluge: 1.3.14
libtorrent: 1.0.11.0


Is that correct? I have the ppa added and haven't seen any updates for libtorrent, but elsewhere I see 1.1 mentioned.

Cas
Top Bloke
Top Bloke
Posts: 3463
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Did Something Change/Break w/1.3.14 & Proxies?

Postby Cas » Thu Mar 09, 2017 1:12 am

Latest as in lt 0.16 onwards ;-)

Ah I marked it upstream: http://dev.deluge-torrent.org/ticket/2149

Yes you can verify the session settings with ltconfig

The develop code has reworked the proxy tab for the new settings.


Return to “Support”

Who is online

Users browsing this forum: Bing [Bot] and 8 guests